Bug 338101 - php errors in piranha made visible by display_errors = On in /etc/php.ini
php errors in piranha made visible by display_errors = On in /etc/php.ini
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: piranha (Show other bugs)
5.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Grac
:
Depends On: 319201
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-18 11:25 EDT by Marek Grac
Modified: 2009-04-16 18:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0409
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:49:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Grac 2007-10-18 11:25:49 EDT
+++ This bug was initially created as a clone of Bug #319201 +++

Description of problem: php errors in piranha made visible by php.ini config


Version-Release number of selected component (if applicable): 0.8.3-1


How reproducible: 100%


Steps to Reproduce:
1. enable 'display_errors = On' in /etc/php.ini
2. In the piranha-gui (http://localhost:3636), select 'Virtual Servers->Real Server'
3. It will echo php errors to the web client. There should be no errors.
  
Actual results: Error messages that make the display unusable.


Expected results: There should be no error messages.


Additional info:
Comment 1 RHEL Product and Program Management 2007-10-18 11:34:52 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Marek Grac 2007-10-18 12:35:11 EDT
Patch is in the CVS
Comment 5 errata-xmlrpc 2008-05-21 12:49:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0409.html

Note You need to log in before you can comment on or make changes to this bug.